﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.listNews.ItemsSource = new DataItems();
		}

		private void listNewsInner_SelectionChanged(object sender, SelectionChangedEventArgs e)
		{

		}
	}

	public class DataItems : List<DataItem>
	{
		public DataItems()
		{
			// DataItem #1
			DataItem dataItem1 = new DataItem();
			dataItem1.GroupName = "DataItem #1";

			NewsItem newsItem1_1 = new NewsItem();
			newsItem1_1.Caption = "NewsItem #1 Caption";
			newsItem1_1.Created = "NewsItem #1 Created";
			newsItem1_1.Description = "NewsItem #1 Description";

			NewsItem newsItem1_2 = new NewsItem();
			newsItem1_2.Caption = "NewsItem #2 Caption";
			newsItem1_2.Created = "NewsItem #2 Created";
			newsItem1_2.Description = "NewsItem #2 Description";

			dataItem1.NewsItems.Add(newsItem1_1);
			dataItem1.NewsItems.Add(newsItem1_2);

			this.Add(dataItem1);

			// DataItem #2
			DataItem dataItem2 = new DataItem();
			dataItem2.GroupName = "DataItem #2";

			NewsItem newsItem2_1 = new NewsItem();
			newsItem2_1.Caption = "NewsItem #1 Caption";
			newsItem2_1.Created = "NewsItem #1 Created";
			newsItem2_1.Description = "NewsItem #1 Description";

			NewsItem newsItem2_2 = new NewsItem();
			newsItem2_2.Caption = "NewsItem #2 Caption";
			newsItem2_2.Created = "NewsItem #2 Created";
			newsItem2_2.Description = "NewsItem #2 Description";

			dataItem1.NewsItems.Add(newsItem2_1);
			dataItem1.NewsItems.Add(newsItem2_2);

			this.Add(dataItem2);
		}
	}

	public class DataItem
	{
		public DataItem()
		{
			this.NewsItems = new List<NewsItem>();
		}
		public string GroupName { get; set; }
		public List<NewsItem> NewsItems { get; set; }
	}

	public class NewsItem
	{
		public string Caption { get; set; }
		public string Description { get; set; }
		public string Created { get; set; }
	}
}
